Skip to main content
GET
/
v2
/
analytics
/
collections
/
summary-by-customer
Get Collections Summary By Customer Endpoint
curl --request GET \
  --url https://api.example.com/v2/analytics/collections/summary-by-customer \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "partner_id": "<string>",
      "partner_name": "<string>",
      "partner_account_number": "<string>",
      "period_start": "2023-12-25",
      "period_end": "2023-12-25",
      "balance": 123,
      "amount_overdue": 123,
      "amount_collected": 123,
      "amount_collected_stuut_touched": 123,
      "amount_collected_automated": 123,
      "amount_collected_other": 123,
      "amount_issued": 123,
      "amount_issued_stuut_touched": 123,
      "total_invoice_amount": 123,
      "amount_overdue_stuut_touched": 123,
      "amount_receivables": 123,
      "amount_receivables_stuut_touched": 123,
      "balance_stuut_touched": 123,
      "balance_for_period": 123,
      "balance_for_period_stuut_touched": 123,
      "balance_period_start": 123,
      "balance_period_start_stuut_touched": 123,
      "dso": 123,
      "dso_stuut_touched": 123,
      "invoices_collected": 123,
      "invoices_collected_stuut_touched": 123,
      "invoices_issued": 123,
      "invoices_open": 123,
      "invoices_overdue": 123,
      "invoices_paid": 123,
      "invoices_touched": 123,
      "invoices_touched_and_collected": 123,
      "invoices_touched_and_collected_ratio": 123,
      "avg_days_to_pay_from_due": 123,
      "avg_days_to_pay_from_issued": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

interval
enum<string>
default:monthly

Time interval for grouping data.

Available options:
weekly,
monthly,
all
business_unit_id__in
string[] | null

Filter by business unit IDs

Response

Successful Response

data
CollectionsSummaryByCustomerLine · object[]
required